'use strict';

module.exports = {
  up: async (queryInterface, Sequelize) => {
    await queryInterface.addIndex('Transactions', ['merchantId', 'status', 'createdAt'], {
      name: 'transactions_merch_status_created_idx'
    });
  },

  down: async (queryInterface, Sequelize) => {
    await queryInterface.removeIndex('Transactions', 'transactions_merch_status_created_idx');
  }
};
